## gaviotatb 0.4

=== Makefile ===
INCLUDE = -Isysport/ \
	-Icompression/ \
	-Icompression/liblzf/ \
	-Icompression/zlib/ \
	-Icompression/lzma/ \
	-Icompression/huffman/

DEFAULT_CC = /usr/bin/gcc
DEFAULT_DEFINE = -DZ_PREFIX
#DEFAULT_ARCHFLAGS = -m64
DEFAULT_CFLAGS = -Wall -Wextra -fPIC $(INCLUDE) $(DEFAULT_DEFINE) \
	$(DEFAULT_ARCHFLAGS)
PREFIX = /usr/local
OPTFLAGS = -fast -msse -DNDEBUG
DEBUGFLAGS = -O0 -g -DDEBUG
PGO1FLAGS = $(OPTFLAGS) -fprofile-generate
PGO2FLAGS = $(OPTFLAGS) -fprofile-use

SRCFILES := gtb-probe.c gtb-dec.c gtb-att.c sysport/sysport.c \
	compression/wrap.c compression/huffman/hzip.c \
	compression/lzma/LzmaEnc.c compression/lzma/LzmaDec.c \
	compression/lzma/Alloc.c compression/lzma/LzFind.c \
	compression/lzma/Lzma86Enc.c compression/lzma/Lzma86Dec.c \
	compression/lzma/Bra86.c compression/zlib/zcompress.c \
	compression/zlib/uncompr.c compression/zlib/inflate.c \
	compression/zlib/deflate.c compression/zlib/adler32.c \
	compression/zlib/crc32.c compression/zlib/infback.c \
	compression/zlib/inffast.c compression/zlib/inftrees.c \
	compression/zlib/trees.c compression/zlib/zutil.c \
	compression/liblzf/lzf_c.c compression/liblzf/lzf_d.c
OBJFILES := $(patsubst %.c,%.o,$(SRCFILES))
PROFFILES := $(SRCFILES:.c=.gcno) $(SRCFILES:.c=.gcda)
LIBNAME := libgtb.a
SONAME :=libgtb.so
SOVERSION := 1.0.1
SOMAJORVERSION := 1


.PHONY: all clean
.DEFAULT_GOAL := all

all:
	$(MAKE) $(LIBNAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(OPPTFLAGS) $(DEFAULT_CFLAGS)'
	$(MAKE) $(SONAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(OPPTFLAGS) $(DEFAULT_CFLAGS)'

$(LIBNAME): $(OBJFILES)
	$(AR) rcs $@ $(OBJFILES)

$(SONAME): $(OBJFILES)   
	$(CC) -shared $(OBJFILES) -Wl,-soname=$(SONAME).$(SOMAJORVERSION) -o $(SONAME).$(SOVERSION)

opt:
	$(MAKE) $(LIBNAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(OPTFLAGS) $(DEFAULT_CFLAGS)' \
		LDFLAGS='$(LDFLAGS)'

debug:
	$(MAKE) $(LIBNAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(DEBUGFLAGS) $(DEFAULT_CFLAGS)' \
		LDFLAGS='$(LDFLAGS)'

pgo-start:
	$(MAKE) $(LIBNAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(PGO1FLAGS) $(DEFAULT_CFLAGS)' \
		LDFLAGS='$(LDFLAGS) -fprofile-generate'

pgo-finish:
	$(MAKE) $(LIBNAME) \
		CC='$(DEFAULT_CC)' \
		ARCHFLAGS='$(DEFAULT_ARCHFLAGS)' \
		DEFINE='$(DEFAULT_DEFINE)' \
		CFLAGS='$(PGO2FLAGS) $(DEFAULT_CFLAGS)' \
		LDFLAGS='$(LDFLAGS) -fprofile-generate'

clean:
	$(RM) -f $(OBJFILES) $(LIBNAME) $(SONAME)

pgo-clean:
	$(RM) -f $(PROFFILES)

install:
	install -m 755 -o root -g root $(LIBNAME) $(SONAME).$(SOVERSION) $(PREFIX)/lib
	ln -sf $(SONAME).$(SOMAJORVERSION) $(PREFIX)/lib/$(SONAME)
	install -m 644 -o root -g root gtb-probe.h $(PREFIX)/include
	ldconfig

.depend:
	$(CC) -MM $(DEFAULT_CFLAGS) $(SRCFILES) > $@

include .depend

=== debian/changelog ===
gaviotatb (0.4-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Replace repack rules with Files-Excluded
  * Remove .depend via d/clean
  * Introduce Rules-Requires-Root
  * Do not build with Z_SOLO (Closes: #1074978)

  [ Helmut Grohne ]
  * Fix FTCBFS: Force using the debhelper supplied CC. (Closes: #872083)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Feb 2025 22:51:22 +0100

gaviotatb (0.4-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:31:44 +0100

gaviotatb (0.4-2) unstable; urgency=medium

  * Incorporate patch by Mathieu Malaterre, fix linking errors
    (Closes: #775699)

 -- Varun Hiremath <varun@debian.org>  Tue, 20 Jan 2015 23:56:15 -0500

gaviotatb (0.4-1) unstable; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Sun, 02 Jun 2013 15:26:15 -0400

=== debian/control ===
Source: gaviotatb
Priority: extra
Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper (>= 8.0.0), zlib1g-dev
Standards-Version: 3.9.4
Section: libs
Rules-Requires-Root: binary-targets
Homepage: https://sites.google.com/site/gaviotachessengine/
Vcs-Git: git://git.debian.org/users/varun/gaviotatb.git
Vcs-Browser: http://git.debian.org/?p=users/varun/gaviotatb.git;a=summary

Package: libgaviotatb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgaviotatb1 (= ${binary:Version})
Recommends: gaviotatb
Description: Gaviota chess endgame tablebase probing library
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. The Gaviota Tablebases can be probed from
 your own program (engine or interface) using this library.
 .
 This package contains the shared libraries.

Package: libgaviotatb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gaviotatb
Description: Gaviota chess endgame tablebase probing library (development package)
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. The Gaviota Tablebases can be probed from
 your own program (engine or interface) using this library.
 .
 This package provides a static library and header files.

Package: gaviotatb
Section: database
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gaviota chess endgame tablebases
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. This package provides the pre-generated
 Gaviota endgame tablebases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEFAULT_CC='$$(CC)'

=== debian/watch ===
version=3
opts="dversionmangle=s/[+~]dfsg.*//" \
https://sites.google.com/site/gaviotachessengine/download .*tbprobe-(.*).zip.*
